import { LitElement, nothing, PropertyValues } from 'lit';
import '@warp-ds/icons/elements/arrow-left-16';
import '@warp-ds/icons/elements/close-16';
declare const ModalHeader_base: import("./util.js").Constructor<{
    close: () => void;
}> & typeof LitElement;
/**
 * The header section of a modal, typically where you place the title and a close button.
 *
 * [See Storybook for usage examples](https://warp-ds.github.io/elements/?path=/docs/overlays-modal--docs)
 *
 * @slot top - Customize the title bar, for example to have a header image that reaches the modal's edges. See the With Image story for an example.
 */
export declare class ModalHeader extends ModalHeader_base {
    title: string;
    back: boolean;
    noClose: boolean;
    /** @internal */
    private _hasTopContent;
    titleEl: HTMLElement;
    constructor();
    render(): import("lit").TemplateResult<1>;
    willUpdate(changedProperties: PropertyValues<this>): Promise<void>;
    get titleClasses(): string;
    get backButton(): import("lit").TemplateResult<1> | typeof nothing;
    get closeButton(): import("lit").TemplateResult<1> | typeof nothing;
    emitBack(): void;
    handleTopSlotChange(slotEvent: any): void;
    static styles: import("lit").CSSResult[];
}
export {};
